import { NetManager } from './../../libs/tw/manager/NetManager';
import Panel from "../views/Panel";

export default class FullSignPrizePanel extends Panel {
    public get skinKey() { return "FullSignPrize" }


    public sureBtn: eui.Button;

    private _scene: any;

    constructor(scene) {
        super();
        this._scene = scene;

        NetManager.ins.showLog(this._scene.createExposure("lxqd"))
    }

    initEvents() {
        super.initEvents();
        this.onTap(this.sureBtn, this.onTouchTap);
    }

    onTouchTap() {
        super.onTouchTap();
        NetManager.ins.clickLog(this._scene.createExposure("lxqd"))
        this._scene.isGuide();
    }


    removeEvents() {
        super.removeEvents();
        this.clearTap(this.sureBtn, this.onTouchTap);
    }
}